---
title: List user authorizations for a client
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Authorized Clients
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List user authorizations for a client{% #list-user-authorizations-for-a-client %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients |

### Overview

Get a list of user authorizations for the specified OAuth2 client in the current organization. This endpoint requires the `org_authorized_apps_read` permission.

OAuth apps require the `org_authorized_apps_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#org-authorized-clients) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                       | Type   | Description                          |
| ------------------------------------------ | ------ | ------------------------------------ |
| org_authorized_client_id [*required*] | string | The ID of the org authorized client. |

#### Query Strings

| Name                   | Type    | Description                                                                                                                                          |
| ---------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| page[size]             | integer | Size for a given page. The maximum allowed value is 100.                                                                                             |
| page[number]           | integer | Specific page number to return.                                                                                                                      |
| sort                   | enum    | Field to sort results by. Options: `user.name`, `user.email`, `oauth2_client.name`. Allowed enum values: `user.name, user.email, oauth2_client.name` |
| filter[disabled]       | string  | Filter results by the user authorization disabled status.                                                                                            |
| filter[user][name]     | string  | Filter results by user name.                                                                                                                         |
| filter[user][email]    | string  | Filter results by user email.                                                                                                                        |
| filter[user][disabled] | string  | Filter results by whether the user is disabled.                                                                                                      |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of user authorized clients.

| Parent field  | Field                            | Type      | Description                                                                                   |
| ------------- | -------------------------------- | --------- | --------------------------------------------------------------------------------------------- |
|               | data [*required*]           | [object]  | List of user authorized client data objects.                                                  |
| data          | attributes [*required*]     | object    | Attributes of a user authorized client.                                                       |
| attributes    | created_at [*required*]     | date-time | The date and time this authorization was created.                                             |
| attributes    | disabled [*required*]       | boolean   | Whether the user has disabled this authorization.                                             |
| attributes    | last_exercised [*required*] | date-time | The date and time this authorization was last exercised.                                      |
| attributes    | modified_at [*required*]    | date-time | The date and time this authorization was last modified.                                       |
| attributes    | org_disabled [*required*]   | boolean   | Whether the organization has disabled this authorization.                                     |
| data          | id [*required*]             | string    | The unique identifier of the user authorized client.                                          |
| data          | relationships [*required*]  | object    | Relationships for a user authorized client.                                                   |
| relationships | oauth2_client [*required*]  | object    | Relationship to the OAuth2 client that was authorized.                                        |
| oauth2_client | data [*required*]           | object    | Data identifying the OAuth2 client that was authorized.                                       |
| data          | id [*required*]             | string    | The ID of the OAuth2 client.                                                                  |
| data          | type [*required*]           | enum      | OAuth2 client resource type. Allowed enum values: `oauth2_clients`                            |
| relationships | scopes [*required*]         | object    | Relationship to the scopes granted to the OAuth2 client.                                      |
| scopes        | data [*required*]           | [object]  | List of scope relationship data objects.                                                      |
| data          | id [*required*]             | string    | The identifier of the scope.                                                                  |
| data          | type [*required*]           | enum      | Scope resource type. Allowed enum values: `scopes`                                            |
| relationships | user [*required*]           | object    | Relationship to the user who granted this authorization.                                      |
| user          | data [*required*]           | object    | Data identifying the user who granted this authorization.                                     |
| data          | id [*required*]             | string    | The ID of the user.                                                                           |
| data          | type [*required*]           | enum      | User resource type. Allowed enum values: `users`                                              |
| data          | type [*required*]           | enum      | The resource type for user authorized clients. Allowed enum values: `user_authorized_clients` |
|               | meta [*required*]           | object    | Object describing meta attributes of response.                                                |
| meta          | page                             | object    | Pagination object.                                                                            |
| page          | total_count                      | int64     | Total count.                                                                                  |
| page          | total_filtered_count             | int64     | Total count of elements matched by the filter.                                                |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": "2024-01-10T08:00:00+00:00",
        "disabled": false,
        "last_exercised": "2024-01-15T10:30:00+00:00",
        "modified_at": "2024-01-10T08:00:00+00:00",
        "org_disabled": false
      },
      "id": "00000000-0000-0000-0000-000000000001",
      "relationships": {
        "oauth2_client": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000010",
            "type": "oauth2_clients"
          }
        },
        "scopes": {
          "data": [
            {
              "id": "example_scope",
              "type": "scopes"
            }
          ]
        },
        "user": {
          "data": {
            "id": "00000000-0000-9999-0000-000000000001",
            "type": "users"
          }
        }
      },
      "type": "user_authorized_clients"
    }
  ],
  "meta": {
    "page": {
      "total_count": "integer",
      "total_filtered_count": "integer"
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export org_authorized_client_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/org_authorized_clients/${org_authorized_client_id}/user_authorized_clients" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
